<script setup>
defineProps({
  sup: { type: String, required: true, default: '' },
  title: { type: String, required: true, default: '' },
  subtitle: { type: String, required: true, default: '' },
  content: { type: String, required: true, default: '' },
});
</script>
<template>
  <div class="card fr-mb-5v anct-box-shadow">
    <div class="card__container fr-p-6w fr-pr-10w">
      <div class="card__heading">
        <div class="card__sup fr-mb-5v fr-text--xs">
          {{ sup }}
        </div>
        <div class="card__title fr-display--xs">
          {{ title }}
        </div>
      </div>
      <div class="card__text fr-text--sm fr-mr-6w">
        <div class="card__subtitle fr-mt-8v fr-mb-4v fr-text--xl fr-text--bold">
          {{ subtitle }}
        </div>
        <div class="fr-text--sm">
          {{ content }}
        </div>
      </div>
    </div>
  </div>
</template>
<style lang="scss">
.card {
  .card__container {
    display: grid;
    grid-template-columns: 40% auto;
    gap: 98px;
  }
  .card__sup {
    text-transform: uppercase;
    color: var(--grey-425-625);
  }
  .card__subtitle {
    color: var(--red-marianne-425-625);
    text-transform: uppercase;
  }
}
@media only screen and (max-width: 48em) {
  .card .card__container {
    grid-template-columns: auto;
    gap: 2px;
  }
}
</style>
